{% extends 'interface/home.twig' %}
{% block content %}
<ol class="breadcrumb">
  <li class="breadcrumb-item"><a href="{{ path_for('homepage') }}">Home</a></li>
  <li class="breadcrumb-item active">Sala</li>
</ol>
{% include 'error/error.twig' %}
{% include 'flash/flash.twig' %}

	<div style="width: 100%">
		<span style="font-size: 1.7em;">Salas</span>
	</div>
	<div style="width: 100%;">
		<a href="{{ path_for('sala.show') }}" class="btn btn-default" style="border: 1px solid black;float: right; margin-bottom: 3%">Nova Sala</a>
	</div>
	<div class="box-body" style="margin-top: 4%">
			<table id="table_user" class="table table-bordered table-hover">
				<thead>
					<tr>
						<th>Sala</th>
						<th>Descrição</th>
						<th style="text-align: center">Ações</th>
					</tr>
				</thead>
				<tbody>
					{% for sala in salas %}
					<tr>
						<td>{{ sala.numero }}</td>
						<td>{{ sala.descricao }}</td>
						<td style="text-align: center" >
							<a href="{{ path_for('sala.edit', {id:sala.id} ) }}"><i class="fa fa-pencil-square-o" style="font-size: 1.3em; color: green" title="Editar"></i></a>
							&nbsp&nbsp
							<a href="#" data-toggle="modal" data-target="#exsala{{ sala.id }}"><i class="fa fa-minus-square-o" style="font-size: 1.3em; color: red" title="Excluir"></i></a>
						</td>
					</tr>
						<!-- Modal -->
						<div class="modal fade" id="exsala{{ sala.id }}" tabindex="-1" role="dialog" aria-labelledby="exsalaLabel{{ sala.id }}" aria-hidden="true">
						  <div class="modal-dialog" role="document">
						    <div class="modal-content">
						      <div class="modal-header">
						        <h5 class="modal-title" id="exsalaLabel{{ sala.id }}">Atenção</h5>
						        <button type="button" class="close" data-dismiss="modal" aria-label="Close">
						          <span aria-hidden="true">&times;</span>
						        </button>
						      </div>
						      <div class="modal-body">
						        Tem certeza que deseja excluir a Sala?
						      </div>
						      <div class="modal-footer">
						        <button type="button" class="btn btn-secondary" data-dismiss="modal">Não</button>
						        <a href="{{ path_for('sala.delete', {id:sala.id} ) }}" class="btn btn-danger">Sim</a>
						      </div>
						    </div>
						  </div>
						</div>
					{% endfor %}
				</tbody>
				<tfoot>
					<tr>
					  <th>Sala</th>
					  <th>Descrição</th>
					  <th style="text-align: center;">Ações</th>
					</tr>
				</tfoot>
			</table>
		</div>
		<!-- /.box-body -->
	</div>
	<!-- /.box -->
{% endblock %}